# std::_Result_of_impl< false, _Functor(_ArgTypes...)> Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Functor, typename... _ArgTypes>
struct std::_Result_of_impl< false, _Functor(_ArgTypes...)>

We need to compute the result type for this invocation the hard way.

Definition at line 197 of file tr1_impl/functional.

## Public Types

- typedef _Functor::template
  result< _Functor(_ArgTypes...)>::type type

The documentation for this struct was generated from the following file:

- tr1_impl/functional